文档章节

pgAdmin 3 编译安装

yonj1e
 yonj1e
发布于 2017/07/31 15:18
字数 349
阅读 53
收藏 0

 pgAdmin 3 编译安装

 只是做一下简单记录。

Installing pgAdmin from source
==============================

You will need:

- A modern development environment: 

    - GTK 2.2 or above.
    - GNU automake 1.9 or above.
    - GNU autoconf 2.59 or above.
    - GNU gcc 3.4 or above.

- wxGTK 2.8.x from http://www.wxwidgets.org/
- libxml2 2.6.18 or above from http://www.xmlsoft.org/
- libxslt 1.1.x or above from http://www.xmlsoft.org/
- PostgreSQL 8.4 or above from http://www.postgresql.org/
- Sphinx 1.0 or above from http://sphinx.pocoo.org/

Building:

1) Install libxml2 and libxslt if they are not already present on your system, 
   per the instructions included with them.
   
2) Install PostgreSQL per the instructions included. It is recommended that you
   build with OpenSSL support, using the --with-openssl configure option.
   
3) Unpack the wxGTK tarball to a convenient location, and build and install it
   as follows:
   
     cd /path/to/wxGTK/source/
     ./configure --with-gtk --enable-gtk2 --enable-unicode
     make
     sudo make install

     # Install wxWidgets contrib modules.
     cd contrib/
     make
     sudo make install
	
   A script is included in the pgAdmin source tarball 
   (xtra/wx-build/build-wxgtk) which will build and install wxWidgets in each 
   combination of shared/static/debug/release builds for you.
   
4) Unpack the pgAdmin tarball to a convenient location, and build and install it 
   as follows:
   
     bash bootstrap	# Required only if building from a GIT checkout
     ./configure
     make all
     sudo make install

 1.安装一些所需包

yum install gtk2-devel
yum install automake
yum install gcc-c++
yum install libxml2-devel
yum install libxslt-devel

2.安装PostgreSQL

需要开启--with-openssl 选项

3.安装wxGTK

下载地址:http://www.wxwidgets.org/downloads/

     cd /path/to/wxGTK/source/
     ./configure --with-gtk --enable-gtk2 --enable-unicode
     make
     sudo make install

     # Install wxWidgets contrib modules.
     cd contrib/
     make
     sudo make install

3.x 版本的没有contrib目录。

4.安装pgAdmin

bash bootstrap	# Required only if building from a GIT checkout
./configure --prefix=/opt/develop/admin/1 --with-pgsql=/opt/develop/db/1
make all
sudo make install

安装完成

cd /opt/develop/admin/1/bin
./pgadmin3

 

© 著作权归作者所有

yonj1e
粉丝 18
博文 20
码字总数 31358
作品 0
济南
后端工程师
私信 提问
开源ECP安装和还原Postgressql数据库

1、本文主要内容: 使用Postgressql的数据库管理工具pgAdmin还原数据库。因为下载的ECP源代码里面已经包含了备份的数据库,所以只需要安装。 2、备份数据库的目录 工程目录:./doc/数据备份/...

wangxujun59
2016/11/12
625
0
debian或者ubuntu下,pgadmin请问有没有UI的?如果有要怎么启动呢?

最近在学习openerp,在虚拟机上安装了debian7,然后安装好数据库postgresql,接着就是pgadmin,但是发觉用命令安装好后,没看到pgadmin的UI操作入口,难道在linux是没有的吗?在pgadmin的官网...

W_Lu
2014/07/11
285
1
pgAdmin 4 v3.0 发布,PostgreSQL 图形管理工具

pgAdmin 开发团队宣布 pgAdmin 4 3.0版发布。此版本的包含 100 多个错误修复和新功能。有关更多详细信息,请参阅发行说明。 pgAdmin 是 PostgreSQL 领先的开源图形管理工具。 更新内容: Th...

周其
2018/04/14
5.9K
10
PostgreSQL GUI pgadmin4 v3.3 支持 gis geometry 数据编辑、显示

标签 PostgreSQL , pgadmin , gis , 编辑 背景 pgadmin 4 v3.3 开始支持geometry 类型的展示。 https://www.postgresql.org/ftp/pgadmin/pgadmin4/v3.3/windows/ 如果geometry使用的是SRID ......

德哥
04/14
0
0
pgAdmin 4 v3.5 发布,PgSQL 的开源图形化管理工具

pgAdmin是专门针对PostgreSQL的开源图形化管理工具,pgAdmin全球开发组于2018年11月1日发布了pgAdmin 4的新版本version 3.5。 本次版本升级包含11个改动(bug修复和新特性)。最显著的改变有...

闻术苑
2018/11/02
4.5K
9

没有更多内容

加载失败,请刷新页面

加载更多

Dubbo-自适应拓展机制

背景 在 Dubbo 中,很多拓展都是通过 SPI 机制进行加载的,比如 Protocol、Cluster、LoadBalance 等,这些都是Dubbo的基础组件。这些基础组件的拓展不是在系统框架启动阶段被加载,而是拓展方...

rock-man
21分钟前
5
0
Kali安装fcitx输入法(五笔)

安装fcitx > sudo apt-get install fcitx-rime fcitx-config-gtk3 重启 > sudo reboot fcitx配置 效果就是这样 配置输入法切换 系统设置...

yeahlife
23分钟前
3
0
IE之css3效果兼容

本文转载于:专业的前端网站▷IE之css3效果兼容 一、兼容css阴影效果(ie滤镜) 1.Shadow,阴影 .shadow { -moz-box-shadow: 3px 3px 4px #000; -webkit-box-shadow: 3px 3px 4px #000; box-sha...

前端老手
26分钟前
3
0
NiushopB2C开源商城功能列表说明:

B2C单商户免费版:PC商城+微商城 B2C单商户标准版:PC商城+微商城组合套餐+阶梯优惠核销功能 B2C单商户企业版:PC商城+微商城拼团+组合套餐阶梯优惠+核销功能 B2C单商户分销版:PC商城+微商城...

niushop-芳
28分钟前
3
0
图片如何转GIF图片呢

如何将生活中拍摄的好玩有趣的图片制作成GIF动图呢?相信很多小伙伴都不知道要如何制作,其实制作方法非常的简单,下面分享一个图片转GIF动图的方法,希望这个方法能够帮助大家在与好友斗图时...

白米稀饭2019
34分钟前
3
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部